- Qt 5.15
- Qt Script
- QScriptValue Proxy Page
- Qt 5.15.16 Reference Documentation

# QScriptValue Proxy Page

## Functions

T | qscriptvalue_cast(const QScriptValue &value)

## Function Documentation

### template <typename T> T qscriptvalue_cast(const QScriptValue &value)

Returns the given value converted to the template type `T`.

This function was introduced in Qt 4.3.

See also qScriptRegisterMetaType() and QScriptEngine::toScriptValue().